Skip to Content
✨ Ail 智能布局(HTML型PPT)已经可以上线开放平台 立即对接🎁 HTML 转 PPT文件开放能力现已上线 立即体验
API 参考V1 兼容接口生成 PPT(V1)

生成 PPT(V1)

接口信息

接口作用

V1 兼容接口。根据完整 Markdown 内容生成 PPT。

请求示例

curl --request POST \ --url https://open.docmee.cn/api/ppt/generatePptx \ --header "Content-Type: application/json" \ --header "token: YOUR_TEMP_TOKEN" \ --data '{ "templateId": "template_xxx", "pptxProperty": false, "outlineContentMarkdown": "# 主题\n## 章节\n### 页面标题\n#### 内容标题\n- 内容", "notes": ["备注一", "备注二"] }'

请求参数

{ "templateId": "template_xxx", "pptxProperty": false, "outlineContentMarkdown": "# 主题\n## 章节\n### 页面标题\n#### 内容标题\n- 内容", "notes": ["备注一", "备注二"] }

请求字段说明

参数名类型必填示例说明
templateIdstringtemplate_xxx模板 ID。
pptxPropertybooleanfalse字段用途请结合接口场景传入。
outlineContentMarkdownstring# 主题 / ## 章节 / ### 页面标题 / #### 内容标题 / - 内容Markdown 格式的内容结构。
notesarray["备注一","备注二"]字段用途请结合接口场景传入。

响应结果

返回 pptInfo,其中通常包含:

  • id
  • subject
  • coverUrl
  • fileUrl
  • templateId
  • pptxProperty

适用场景

适合已经在 V1 链路中拿到完整 Markdown 内容,且希望继续沿用既有生成逻辑的系统。

响应示例

{ "code": 0, "message": "操作成功", "data": { "pptInfo": "VALUE", "id": "id_xxx", "subject": "VALUE", "coverUrl": "VALUE", "fileUrl": "VALUE", "templateId": "templateId_xxx", "pptxProperty": "VALUE", "V1": "VALUE" } }

响应字段说明

字段名类型示例说明
codenumber0通用响应状态码,0 表示成功。
messagestring操作成功服务端返回的结果说明。
pptInfoobjectVALUE字段用途请结合接口场景传入。
idstringid_xxx对象唯一标识。
subjectstringVALUE字段用途请结合接口场景传入。
coverUrlstringVALUE封面图地址。
fileUrlstringVALUE文件下载地址。
templateIdstringtemplateId_xxx模板 ID。
pptxPropertybooleanVALUEPPT 结构数据,用于编辑器回显或再次保存。
V1stringVALUE字段用途请结合接口场景传入。
Last updated on

© 2023-2026 文多多 AiPPT